summaryrefslogtreecommitdiffstats
path: root/pkg-get
diff options
context:
space:
mode:
authortnut <tnut at nutyx dot com>2012-01-08 12:12:28 +0100
committertnut <tnut at nutyx dot com>2012-01-08 12:12:28 +0100
commit9291e062cb24bac5d7c7059d4dc64669c1917b33 (patch)
treeae6f7e4fb2769d6c53b214c5e0b4d862f1df98dc /pkg-get
parentc9972ec7f32bf9d37388e853fe9bf633e242d05a (diff)
downloadnutyx-pakxe-9291e062cb24bac5d7c7059d4dc64669c1917b33.tar.gz
nutyx-pakxe-9291e062cb24bac5d7c7059d4dc64669c1917b33.tar.bz2
nutyx-pakxe-9291e062cb24bac5d7c7059d4dc64669c1917b33.tar.xz
nutyx-pakxe-9291e062cb24bac5d7c7059d4dc64669c1917b33.zip
aaabasicfs 2011-3 et split des dépot base et extra en 2 git séparé
Diffstat (limited to 'pkg-get')
-rw-r--r--pkg-get/.footprint.i68611
-rw-r--r--pkg-get/.footprint.x86_6411
-rw-r--r--pkg-get/.md5sum.i6862
-rw-r--r--pkg-get/.md5sum.x86_642
-rw-r--r--pkg-get/Pkgfile21
-rw-r--r--pkg-get/syn44
6 files changed, 91 insertions, 0 deletions
diff --git a/pkg-get/.footprint.i686 b/pkg-get/.footprint.i686
new file mode 100644
index 000000000..a7cdc34c6
--- /dev/null
+++ b/pkg-get/.footprint.i686
@@ -0,0 +1,11 @@
+drwxr-xr-x root/root etc/
+-rwxr-xr-x root/root etc/pkg-get.conf
+drwxr-xr-x root/root usr/
+drwxr-xr-x root/root usr/bin/
+-rwxr-xr-x root/root usr/bin/pkg-get
+-rwxr-xr-x root/root usr/bin/syn
+drwxr-xr-x root/root usr/share/
+drwxr-xr-x root/root usr/share/locale/
+drwxr-xr-x root/root usr/share/locale/fr/
+drwxr-xr-x root/root usr/share/locale/fr/LC_MESSAGES/
+-rw-r--r-- root/root usr/share/locale/fr/LC_MESSAGES/pkg-get.mo
diff --git a/pkg-get/.footprint.x86_64 b/pkg-get/.footprint.x86_64
new file mode 100644
index 000000000..a7cdc34c6
--- /dev/null
+++ b/pkg-get/.footprint.x86_64
@@ -0,0 +1,11 @@
+drwxr-xr-x root/root etc/
+-rwxr-xr-x root/root etc/pkg-get.conf
+drwxr-xr-x root/root usr/
+drwxr-xr-x root/root usr/bin/
+-rwxr-xr-x root/root usr/bin/pkg-get
+-rwxr-xr-x root/root usr/bin/syn
+drwxr-xr-x root/root usr/share/
+drwxr-xr-x root/root usr/share/locale/
+drwxr-xr-x root/root usr/share/locale/fr/
+drwxr-xr-x root/root usr/share/locale/fr/LC_MESSAGES/
+-rw-r--r-- root/root usr/share/locale/fr/LC_MESSAGES/pkg-get.mo
diff --git a/pkg-get/.md5sum.i686 b/pkg-get/.md5sum.i686
new file mode 100644
index 000000000..18265b57a
--- /dev/null
+++ b/pkg-get/.md5sum.i686
@@ -0,0 +1,2 @@
+3653b64e437d6f06a2e14c8d1e4560d0 pkg-get-0.3.93.tar.gz
+4b2308a5898180c997380228c0dc893b syn
diff --git a/pkg-get/.md5sum.x86_64 b/pkg-get/.md5sum.x86_64
new file mode 100644
index 000000000..18265b57a
--- /dev/null
+++ b/pkg-get/.md5sum.x86_64
@@ -0,0 +1,2 @@
+3653b64e437d6f06a2e14c8d1e4560d0 pkg-get-0.3.93.tar.gz
+4b2308a5898180c997380228c0dc893b syn
diff --git a/pkg-get/Pkgfile b/pkg-get/Pkgfile
new file mode 100644
index 000000000..bf3dac834
--- /dev/null
+++ b/pkg-get/Pkgfile
@@ -0,0 +1,21 @@
+# Description: Un gestionnaire de paquets binaires pour NuTyX léger et rapide
+# URL: http://www.nutyx.org
+# Maintainer: NuTyX core team
+# Packager: tnut at nutyx dot com
+# Depends on: curl
+
+name=pkg-get
+version=0.3.93
+release=1
+source=(http://nutyx.meticul.eu/files/$name-$version.tar.gz \
+ syn)
+
+build()
+{
+ cd $name-$version
+ make clean
+ make
+ make DESTDIR=$PKG install
+ sed -i "s/uname-m/`uname -m`/g" $PKG/etc/pkg-get.conf
+ install -m 755 ../syn $PKG/usr/bin/syn
+}
diff --git a/pkg-get/syn b/pkg-get/syn
new file mode 100644
index 000000000..68a38c4b2
--- /dev/null
+++ b/pkg-get/syn
@@ -0,0 +1,44 @@
+#!/bin/bash
+MediaDepot=/media/cdrom/depot
+Depot=/srv/NuTyX
+find_cd() {
+EXPECT_LABEL="nutyxcd"
+let PKGNB=0
+for SYS in /sys/block/sd* /sys/block/sr* ; do
+ if [ ! -d "$SYS" ]; then continue; fi
+ DEV=/dev/${SYS##*/}
+ LABEL=`dd if=$DEV bs=1 skip=32808 count=32 2>/dev/null`
+ if [ $LABEL == $EXPECT_LABEL ] 2>/dev/null ; then
+ mkdir -p /media/cdrom 2>/dev/null
+ mount $DEV /media/cdrom
+ if [ ! -d /media/cdrom/depot ]; then
+ umount -n /media/cdrom
+ fi
+ break
+ fi
+done
+}
+if [ ! "$EUID" -eq 0 ]; then
+ echo "Seul le compte root peut synchroniser les ports NuTyX"
+ exit 1
+fi
+if ! mountpoint /media/cdrom > /dev/null; then
+ find_cd
+fi
+pkg-get sync
+for i in `cat /etc/pkg-get.conf |grep -v ^#|grep http|cut -d "|" -f 1|cut -d" " -f2|cut -d"/" -f4`
+do
+ if [ -d $MediaDepot/$i ]; then
+ rm -r $Depot/$i > /dev/null 2>&1
+ mkdir -p $Depot/$i
+ for j in $MediaDepot/$i/*.xz
+ do
+ let PKGNB=$PKGNB+1
+ fj=`basename $j`
+ ln -sf $MediaDepot/$i/$fj $Depot/$i/$fj
+ echo -n -e "$PKGNB Paquets trouvés sur le média\r"
+ done
+ echo "$PKGNB Paquets trouvés sur le média"
+ cp $MediaDepot/$i/PKG* $Depot/$i/
+ fi
+done